	processor 16f819
	include "p16f819.inc"

	__config 0x3ff8 
_x EQU 0x20
_y EQU 0x21
	call _init
	movlw 0x00
	movwf _x
	movlw 0x00
	movwf _x
__label0:
	movlw 0xFE
	subwf _x, w
	sublw 1
	btfsc STATUS, Z
	goto __label1
	movf _x, w
	movwf _x
	incf _x, f
	goto __label0
__label1:
	decf _x, f
_schleife:
	movlw 0x00
	movwf _x
__label2:
	movlw 0xFF
	addlw 0
	btfsc STATUS, Z
	goto __label3
	movf _x, w
	movwf sspbuf
	call _spiwait
	movf _x, w
	movwf sspbuf
	call _spiwait
	call _wait
	; x = x + 16 
	movf _x, w
_add0 EQU 0x22
	movwf _add0
	movlw 0x10
	addwf _add0, f
	movf _add0, w
	movwf _x
	; if x = 255 - 15 then 
	movf _x, w
	movwf _add0
	movlw 0xFF
_add1 EQU 0x23
	movwf _add1
	movlw 0x0F
	subwf _add1, f
	movf _add1, w
	subwf _add0, w
	btfss STATUS, Z
	goto __label4
	clrw
	addlw 0xFF
	goto __label5
__label4:
	clrw
__label5:
	addlw 0
	btfsc STATUS, Z
	goto __label6
	; break
	goto __label3
__label6:
	goto __label2
__label3:
	movlw 0x01
	movwf _x
__label7:
	movlw 0x0A
	subwf _x, w
	sublw 1
	btfsc STATUS, Z
	goto __label8
	movf _x, w
	movwf sspbuf
	call _spiwait
	movf _x, w
	movwf sspbuf
	call _spiwait
	call _wait
	incf _x, f
	goto __label7
__label8:
	decf _x, f
	movlw 0x01
	movwf _x
__label9:
	movlw 0x0A
	subwf _x, w
	sublw 1
	btfsc STATUS, Z
	goto __label10
	call _wait
	incf _x, f
	goto __label9
__label10:
	decf _x, f
	goto _schleife
_init:
	movlw 0x20
	movwf sspcon
	banksel trisb
	bcf trisb, 2
	; /* osccon auf 8mhz setzen 
	; /* osccon = 0x70 
	bcf trisb, 4
	movlw 0x40
	movwf sspstat
	banksel portb
	return
_spiwait:
	; /* set status ( rp0 ) 
	banksel sspstat
_loop:
	btfss sspstat , bf 
	goto _loop
	; /* clr status ( rp0 ) 
	banksel portb
	return
_wait:
_waitcount2 EQU 0x24
	movlw 0x01
	movwf _waitcount2
__label11:
	movlw 0x02
	subwf _waitcount2, w
	sublw 1
	btfsc STATUS, Z
	goto __label12
	call _waitbischen
	call _waitbischen
	call _waitbischen
	call _waitbischen
	incf _waitcount2, f
	goto __label11
__label12:
	decf _waitcount2, f
	return
_waitbischen:
_waitcount EQU 0x25
	movlw 0x01
	movwf _waitcount
__label13:
	movlw 0x0A
	subwf _waitcount, w
	sublw 1
	btfsc STATUS, Z
	goto __label14
	nop 
	nop 
	nop 
	nop 
	incf _waitcount, f
	goto __label13
__label14:
	decf _waitcount, f
	return

	end
